Page MenuHomePhabricator

clang-cl: Add documentation for /Zc:dllexportInlines-
ClosedPublic

Authored by hans on Nov 9 2018, 8:14 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

hans created this revision.Nov 9 2018, 8:14 AM
takuto.ikuta accepted this revision.Nov 10 2018, 7:23 PM

Seems good document!

This revision is now accepted and ready to land.Nov 10 2018, 7:23 PM
This revision was automatically updated to reflect the committed changes.

Nice!

cfe/trunk/docs/UsersManual.rst
2950

very nit: I'd s/import/dllimport/. It's a bit longer, but not much, and more greppable. (for both + and - versions)

3104

"to not be applied" sounds more correct to me, but I'm not a native speaker either. And I think "to not apply to inline member functions" works to and is shorter and not passive, and it makes the part after the comma sound better (with the passive I think it might have to be "as they otherwise would be"?)

3173

Maybe suggest a workaround in addition to pointing out the problem? ("In these cases, a workaround is to make foo() not inline" or similar)

hans marked 3 inline comments as done.Nov 13 2018, 1:07 AM

Thanks for the review! I made adjustments in r346748.

cfe/trunk/docs/UsersManual.rst
3104

Yeah, "to not apply to inline member functions" is better.